#!/bin/dash

cpuTemp0=$(cat /sys/class/thermal/thermal_zone0/temp)
cpuTemp1=$(($cpuTemp0/1000))
cpuTemp2=$(($cpuTemp0/100))
cpuTempM=$(($cpuTemp2 % $cpuTemp1))
cpuFreq=$(cat /sys/devices/system/cpu/cpu0/cpufreq/scaling_cur_freq)

echo "#DEBUTENTREE#" CPU"="$cpuTemp1"."$cpuTempM"'C/"$cpuFreq"KHz; GPU="$(/opt/vc/bin/vcgencmd measure_temp | sed 's/temp=//g') "/" $(uptime)

procs=$(ps -Upi | grep -o "midori\|tuxtype\|tuxmath\|florence\|kiwix\|gcompris\|tuxpaint\|java" | sort | uniq)
echo "$procs"

#détail pepit
if echo $procs | grep midori >/dev/null; then
ps -Upi -f | grep gnash | grep -o "file://[^ ]*" | sort | uniq
fi

#détail jclic

if echo $procs | grep java >/dev/null; then
pid=$(ps -Upi | grep java | grep -o "^[ 0123456789]*" | grep -o "[0-9]*")
if [ -n "$pid" ]; then
lsof -Fn -p $pid | grep ".jclic[.]zip" | sort | uniq
fi
fi
